helm (4.0.6-1) unstable; urgency=medium

  * Update to new upstream version 4.0.6.
  * Migrate d/watch to rfc822-style version 5 format

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 25 Sep 2025 23:04:46 -0700

helm (4.0.5-1) unstable; urgency=medium

  * Update to new upstream version 4.0.5.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Add debian/upstream/metadata
  * Use canonical URL in Vcs-Git.
  * Update watch file format version to 4.
  * d/watch: modernize using substitute strings to be more robust
  * d/rules: skip upstream make and let dh_elpa handle it
    - Also drop patches for handling Makefile
  * d/patches: mark not forwarded patches as "Forwarded: not-needed"
  * d/control: drop elpa-async from Suggests; already in Depends
  * d/control: make elpa-helm depends on elpa-helm-core
    - helm.el has `(require 'helm-core)'.
  * d/elpa-helm.lintian-overrides: Drop unused lintian override
  * d/elpa-helm.lintian-overrides: adds override for lisp code
    - Some lisp code in heredoc was mis-detected as bash term.
  * d/control: update section lisp -> editors
  * d/control: update Standards-Version to 4.7.2; no change needed

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 19 Aug 2025 16:10:32 -0700

helm (4.0.3-1) unstable; urgency=medium

  [ Sean Whitton ]
  * Orphan package.
  * Run 'wrap-and-sort -ast'.

  [ Xiyue Deng ]
  * Update to new upstream version 4.0.3.
    - Fixes FTBFS on Emacs 30.1 (Closes: #1099238)
  * (Build-)Depends on elpa-async >= 1.9.9-2
    - This version ships the required async-package.el file.
    - Explicitly depends on elpa-async >= 1.9.9-2 in elpa-helm-core
  * Update file list in d/*.elpa for new version
  * Adopt package under the Debian Emacsen team (Closes: #1007859)
    - Also add myself to Uploaders.
  * Add DEBIAN_ELPA_DIR for async detection
  * Temporary drop dependency on wfnames
    - It's currently too late in the Trixie release cycle and
      emacs-wfnames is still in ITP stage.
    - This patch should be removed once emacs-wfnames enters the archive.
  * Add NEWS entry about disabling wfnames
  * Add d/salsa-ci.yml with the default template
  * Drop xz compression in d/gbp.conf to be consistent with upstream

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 30 May 2025 14:49:51 -0700

helm (3.8.4-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:09:05 +0900

helm (3.8.4-1) unstable; urgency=medium

  * Update to new upstream version 3.8.4.
  * Remove docs installation and related patch, dropped upstream.
  * Add build-dependency on elpa-async
  * Patch Makefile install target paths to match the convention DH expects.

 -- Arto Jantunen <viiru@debian.org>  Sat, 19 Feb 2022 20:17:41 +0200

helm (3.8.0-1) unstable; urgency=medium

  * Update to new upstream version 3.8.0.
  * Patch new docs build in Makefile for Debian.
  * Build and install new HTML and info docs.
    - Add d/elpa-helm.links.
    - Drop d/elpa-helm.docs.
    - Build the docs in override_dh_auto_build.
    - Install the docs in override_dh_auto_install.
    - Add build-deps on elpa-org >= 9.5.2, elpa-ox-texinfo+ and texinfo.
  * Override Lintian tag info-document-not-compressed for helm-figures symlink.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 27 Dec 2021 12:56:20 -0700

helm (3.7.0-2) unstable; urgency=medium

  * Team upload
  * ship helm-global-bindings.el in elpa-helm (Closes: #986854).

 -- David Bremner <bremner@debian.org>  Sat, 17 Apr 2021 07:31:15 -0300

helm (3.7.0-1) unstable; urgency=medium

  * Update to new upstream version 3.7.0.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 Nov 2020 12:43:36 -0700

helm (3.6.4-1) unstable; urgency=medium

  * Update to new upstream version 3.6.4.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 27 Jul 2020 09:18:16 -0700

helm (3.6.1-1) unstable; urgency=medium

  * Update to new upstream version 3.6.1.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 17 May 2020 16:49:39 -0700

helm (3.6.0-1) unstable; urgency=medium

  * Update to new upstream version 3.6.0.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 15 Jan 2020 06:53:38 -0700

helm (3.5.0-3) unstable; urgency=medium

  * Patch an autoload cookie into helm-easymenu.el (Closes: #943371).
    Thanks Aaron M. Ucko for the report.
  * Drop helm-org.el from d/elpa-helm.elpa.
  * Drop unused Built-Using fields.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 26 Oct 2019 13:12:54 -0700

helm (3.5.0-2) unstable; urgency=medium

  * Demote elpa-helm-org Recommends -> Suggests.
  * Add NEWS.Debian entry about installing elpa-helm-org.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 15 Oct 2019 13:52:26 -0700

helm (3.5.0-1) unstable; urgency=medium

  [ David Krauser ]
  * Update maintainer email address

  [ Sean Whitton ]
  * Update to new upstream version 3.5.0.
  * Recommend elpa-helm-org.
    Split out from this package.
  * Add README.source.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 15 Oct 2019 09:53:58 -0700

helm (3.2-1) unstable; urgency=medium

  * Update to new upstream version 3.2.
    - Update d/copyright.
    - Add helm-{comint,occur,shell}.el to d/elpa-helm.elpa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 07 Jul 2019 11:52:35 +0100

helm (3.0-1) unstable; urgency=medium

  * Update to new upstream version 3.0.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 26 Aug 2018 16:00:40 -0700

helm (2.9.7-1) unstable; urgency=medium

  * Update to new upstream version 2.9.7.
  * Patch .gitignore for `git debrebase`.
    Drop lines that cause git to ignore debian/patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 06 Jul 2018 16:21:29 +0100

helm (2.9.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 12 Jun 2018 11:06:11 +0100

helm (2.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0003-decruft-README.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 Apr 2018 09:23:53 -0700

helm (2.9.0-1) unstable; urgency=medium

  * New upstream release.
    - Override dh_auto_install to do nothing.
  * Refresh 0004-patch-emacs-helm-sh.patch.
  * Drop --parallel from d/rules.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 12 Mar 2018 18:13:44 -0700

helm (2.8.8-1) unstable; urgency=medium

  * New upstream release.
    - Drop helm-apt.el from d/elpa-helm.elpa.
  * Point Vcs-* at salsa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 09 Feb 2018 22:14:59 -0700

helm (2.8.7-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 30 Dec 2017 14:39:45 +0000

helm (2.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0003-decruft-README.patch
  * Clean trailing white space in Debian changelog entry for 2.5.0-2.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 29 Nov 2017 15:55:18 -0700

helm (2.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Add new files to d/elpa-helm.elpa.
  * Refresh patches.
  * Bump standards version to 4.1.1 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 Oct 2017 09:04:57 -0700

helm (2.8.4-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 09 Sep 2017 12:24:18 -0700

helm (2.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 22 Aug 2017 18:45:18 -0700

helm (2.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 30 Jul 2017 17:51:45 -0700

helm (2.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 20 Jun 2017 08:38:39 +0100

helm (2.7.1-1) unstable; urgency=medium

  * New upstream release.
    - Stop installing helm-elscreen.el, which was deprecated, and removed
      in this release.
  * d/elpa-helm.docs:
    - Stop installing helm-buffers-list.gif
      Removed from README.
    - Add helm-grep-ag-persistent.png
      Now used in README.
  * Drop 0005-remove-async-dependency.patch
    Helm now depends on async in all cases, not just for installs from
    MELPA.
  * Refresh some other patches.
  * Bump debhelper compat to 10.
  * Bump standards version to 4.0.0 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 19 Jun 2017 08:36:01 +0100

helm (2.5.0-2) experimental; urgency=medium

  * Team upload.
  * debian/control: Make dependencies comply with Debian Emacs Policy.
    - Depend on emacsen-common (>= 2.0.8) instead of emacs.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 27 Apr 2017 16:53:19 -0400

helm (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0005-remove-async-dependency.patch

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 22 Jan 2017 08:40:48 -0700

helm (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0003-decruft-README.patch
  * Refresh 0005-remove-async-dependency.patch

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 15 Jan 2017 19:11:14 -0700

helm (2.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0005-remove-async-dependency.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 Jan 2017 17:23:41 -0700

helm (2.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 04 Dec 2016 11:22:54 -0700

helm (2.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0005-remove-async-dependency.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 12 Nov 2016 09:48:51 -0700

helm (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0005-remove-async-dependency.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 26 Oct 2016 15:31:31 -0700

helm (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0005-remove-async-dependency.patch.
  * Drop d/source/local-options for dgit.
  * Binary packages enhance emacs25.
  * Remove Debian changes to .gitignore for dgit.
  * Bring 0005-remove-async-dependency.patch header in line with other patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 17 Oct 2016 09:48:48 -0700

helm (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh 0005-remove-async-dependency.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 08 Oct 2016 18:45:05 -0700

helm (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 01 Oct 2016 08:34:04 -0700

helm (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix path to emacs-helm.sh in patch to README.md.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 08 Sep 2016 20:34:53 -0700

helm (2.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 22 Aug 2016 11:00:54 -0700

helm (1.9.9-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete helm-plugin.el from elpa-helm.elpa.
  * Refresh patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 22 Jul 2016 06:44:38 -0700

helm (1.9.8-1) unstable; urgency=medium

  * New upstream release.
  * Patch refresh.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 01 Jul 2016 08:15:09 -0400

helm (1.9.7-1) unstable; urgency=medium

  * Package new upstream release.
  * Refresh patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 10 Jun 2016 15:00:39 +0900

helm (1.9.6-1) unstable; urgency=medium

  * Package new upstream release.
  * Refresh patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 02 Jun 2016 15:21:33 +0900

helm (1.9.5-1) unstable; urgency=medium

  * Package new upstream version.
  * Refresh patch to README.md.
  * Update d/copyright for 2016.
  * Bump standards version to 3.9.8 (no changes required).
  * Dependency on elpa-async is now a suggestion.
    - Patch helm{-core,}-pkg.el to remove dependency from ${elpa:Depends}.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 08 May 2016 08:17:49 -0700

helm (1.9.2-1) unstable; urgency=medium

  * New upstream release.
    New dependency on elpa-popup.
  * Refresh patch to emacs-helm.sh.
  * Bump standards version to 3.9.7 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 29 Feb 2016 17:54:58 -0700

helm (1.9.1-1) unstable; urgency=medium

  * Initial release. (Closes: #810289)

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 29 Jan 2016 20:35:56 -0700
